package com.saga.flink.cdc.sink;

import com.saga.flink.cdc.bean.User;
import org.apache.flink.configuration.Configuration;
import org.apache.flink.streaming.api.functions.sink.RichSinkFunction;

public class PhoenixSinkFunction<User> extends RichSinkFunction<User> {

    @Override
    public void open(Configuration parameters) throws Exception {
        System.out.println("PhoenixSinkFunction open");
    }

    @Override
    public void invoke(User value, Context context) throws Exception {
        System.out.println("PhoenixSinkFunction invoke");
        System.out.println(value.toString());
    }
}
