package com.saga.hbase.phoenix.app;

import com.saga.hbase.phoenix.constant.PhoenixConstant;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.Statement;

public class PhoenixDDL {


    private static Connection connection = null;
    private static Statement statement = null;

    static {
        System.out.println("init phoenix config ... ");
        try {
            Class.forName(PhoenixConstant.PHOENIX_DRIVER);
            connection = DriverManager.getConnection(PhoenixConstant.PHOENIX_SERVER);
            statement = connection.createStatement();

        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        } catch (SQLException e) {
            e.printStackTrace();
        }

    }

    public static void main(String[] args) throws ClassNotFoundException, SQLException {

    }

    public Integer createTable(String tableName) throws SQLException {
        String sql="create table saga_log.test_phoenix_api(mykey integer not null primary key ,mycolumn varchar )";
        int update = statement.executeUpdate(sql);
        connection.commit();
        return update;
    }

    public Boolean deleteTable(String tableName){

        return true;
    }

    public static void closeConnection(){
        try {
            if (statement != null)
                statement.close();
            if (connection != null)
                connection.close();
        } catch (SQLException e) {
            e.printStackTrace();
        }
    }


}
